@settings @api
Feature: Settings.
  In order to enforce configs
  As an Administrator
  I need to be able to view, create, edit and save config enforcement settings.

  Background:
    Given I am logged in as a user with the "administer site configuration" permission

  Scenario: Navigate to Devel Settings
     When I go to "admin/config/development/config_enforce"
      And I click "Devel settings"
     Then I should see "Config form:"
      And I should see "Enable enforcement of the config from this form."

  Scenario: Select Automated Cron module for config output
     When I go to "admin/config/development/config_enforce"
      And I click "Devel settings"
      And I select "Automated Cron" from "Select available modules"
      And I press "Save configuration"
     Then I should see "The configuration options have been saved."

  Scenario: Unhide module config options
     When I go to "admin/config/system/site-information"
      And I check the box "Enforce config"
     Then I should see "The module to which this form's config should be written."
